summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2019-10-19 10:21:19 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2019-10-19 10:21:19 +0200
commit96ce91377011e9e4756ef292ba5022e57e0854d7 (patch)
tree25e37f1fa2871dbc289d635b0cfb158f873962ad /www-apps
parentx11-libs/libXpresent-1.0.0-r1: ppc/ppc64 stable (diff)
downloadgentoo-96ce91377011e9e4756ef292ba5022e57e0854d7.tar.gz
gentoo-96ce91377011e9e4756ef292ba5022e57e0854d7.tar.bz2
gentoo-96ce91377011e9e4756ef292ba5022e57e0854d7.zip
www-apps/wordpress-5.2.4: bump
Package-Manager: Portage-2.3.77, Repoman-2.3.17 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/wordpress/Manifest1
-rw-r--r--www-apps/wordpress/wordpress-5.2.4.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/www-apps/wordpress/Manifest b/www-apps/wordpress/Manifest
index c28a8c46cc6..7faf6d7c424 100644
--- a/www-apps/wordpress/Manifest
+++ b/www-apps/wordpress/Manifest
@@ -2,4 +2,5 @@ DIST wordpress-5.1.1.tar.gz 10654780 BLAKE2B c5105315ed07941811016244737d2a69786
DIST wordpress-5.1.tar.gz 10653910 BLAKE2B 26a4f42dd88d4c2616fb240b8b9a1f64a5380496600e3d132dbc162505907cda49e11b9f132d0f436e9426e77d42d6d78ed6b1e16f04d857429515d192761113 SHA512 e8504be918add0533a99f62e967e2c86afce0c28ae474cace5e4c44f66e8a71394eed7bc6f1e3108734e4410849b28d1da6c545c05a24025067a1321a8fa9a99
DIST wordpress-5.2.1.tar.gz 11199196 BLAKE2B 284358e40e380f5467f92ced37cee57dd1c6b9400a80f01a5a7a5ae973f9c5af88345ebf46505ae392512a88d0c64dfd4f321edd825fd2d38e1160c3ca352d21 SHA512 b49368ba7a3f0cf101b2ad2c78d609050f371a4c7f6dca7d5966cc167ae20ca78df9a3144e1b91c4044d0a9a12163911d66c8faedc9c4a1e2978d2b54ef54855
DIST wordpress-5.2.3.tar.gz 11198223 BLAKE2B 4a65fc5b777cd7654744a38fc66db9bd49403d7049be2d256a8b82cddbca1f819fa4b4cefd6562b0372975b438802688150d6ae219a3ddd719626fdfc65aee95 SHA512 4fb37cb5b5bafbbb556910a69bbe3c83163c660e0186b1a30e095c1fc5950b8474592f17b743f0fb8a4f23f0f0080d3c92f0c45a2a1388911e69994d9c8a2194
+DIST wordpress-5.2.4.tar.gz 11199173 BLAKE2B 879f5de709b56474674aef575ba79fffa57263080a043d51adada12fe9f766f7c0731195d468f0103bca8e5ffa2d9775ec3d328a76fd0fe104044de131c11037 SHA512 eaf6e1555f13e4fe1f1a99691b271e658d9a83ab5fa7de1480987875565aab45d246bf8bb2e9828bd43979b96a0fb0db1ebf61c62c4967d9af08a370bef083e0
DIST wordpress-5.2.tar.gz 11195223 BLAKE2B 35bc5190751749f12d88a13314f021a9cefb6dd78aee9ec32e439031cd19af0929c1a84741b7965cc30638fc3f568289e75e25e9b63a1696e4c427ef29aa1f85 SHA512 741699a26b956b9d80505954f38e95b9f6328f892efb957d584ba6b669ae28d9a9e63249b72cc7a677cb4ae1008e0545f846492636e7e10442593be2054be824
diff --git a/www-apps/wordpress/wordpress-5.2.4.ebuild b/www-apps/wordpress/wordpress-5.2.4.ebuild
new file mode 100644
index 00000000000..9d6f0eaa173
--- /dev/null
+++ b/www-apps/wordpress/wordpress-5.2.4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit webapp
+
+DESCRIPTION="Wordpress PHP and MySQL based content management system (CMS)"
+HOMEPAGE="https://wordpress.org/"
+SRC_URI="https://wordpress.org/${P/_rc/-RC}.tar.gz"
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="virtual/httpd-php
+ || ( dev-lang/php[mysql] dev-lang/php[mysqli] )"
+
+S=${WORKDIR}/${PN}
+
+need_httpd_cgi
+
+IUSE="+akismet examples +themes vhosts"
+
+src_install() {
+ webapp_src_preinst
+
+ dodoc readme.html
+ rm readme.html license.txt || die
+
+ if ! use akismet ; then
+ rm -R wp-content/plugins/akismet/ || die
+ fi
+ if ! use examples ; then
+ rm wp-content/plugins/hello.php || die
+ fi
+ if ! use themes ; then
+ rm -R wp-content/themes/*/ || die
+ fi
+
+ [[ -f wp-config.php ]] || cp wp-config-sample.php wp-config.php
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r .
+
+ webapp_serverowned "${MY_HTDOCSDIR}"/index.php
+ webapp_serverowned "${MY_HTDOCSDIR}"/wp-admin/menu.php
+ webapp_serverowned "${MY_HTDOCSDIR}"
+
+ webapp_configfile "${MY_HTDOCSDIR}"/wp-config.php
+
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ webapp_postupgrade_txt en "${FILESDIR}"/postupgrade-en.txt
+
+ webapp_src_install
+}